Resources:
  WorkDynamoDbTable:
    Type: AWS::DynamoDB::Table
    DeletionPolicy: Retain
    Properties:
      AttributeDefinitions:
        - AttributeName: "owner"
          AttributeType: S
        - AttributeName: "sort"
          AttributeType: S
      KeySchema:
        - AttributeName: "owner"
          KeyType: HASH
        - AttributeName: "sort"
          KeyType: RANGE
      BillingMode: PAY_PER_REQUEST
      TableName: ${self:provider.environment.WORK_TABLE}